Bug 1695655 - [RFE] Metrics for memory usage of AWS instances needs to be collected from CloudWatch new Agent
Summary: [RFE] Metrics for memory usage of AWS instances needs to be collected from Cl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.9
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1684525
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 14:30 UTC by Satoe Imaishi
Modified: 2019-05-29 12:41 UTC (History)
8 users (show)

Fixed In Version: 5.9.9.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1684525
Environment:
Last Closed: 2019-05-29 12:41:11 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)
memory screenshot from AWS console (108.37 KB, image/png)
2019-05-13 08:27 UTC, Ravikanth
no flags Details
CFME screenshot (116.30 KB, image/png)
2019-05-13 08:28 UTC, Ravikanth
no flags Details
Memory used cwagent for 05-14-19 (183.71 KB, image/png)
2019-05-15 01:35 UTC, Ravikanth
no flags Details
Memory avlb cwagent for 05-14-19 (174.56 KB, image/png)
2019-05-15 01:36 UTC, Ravikanth
no flags Details
Memory avlb 0 bytes for 05-14-19 (181.86 KB, image/png)
2019-05-15 01:36 UTC, Ravikanth
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1289 None None None 2019-05-29 12:41:20 UTC

Comment 2 CFME Bot 2019-04-03 15:01:25 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/af340e15606ea9471a89e877ea501ab05723b7af
commit af340e15606ea9471a89e877ea501ab05723b7af
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Apr  1 17:57:59 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Mon Apr  1 17:57:59 2019 -0400

    Merge pull request #522 from AlexanderZagaynov/BZ-1684525_new_metrics_agent

    collect metrics from CloudWatch Agent

    (cherry picked from commit c5118c3f27eeed4af327da1cdb3fd1322a87d779)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1695655

 app/models/manageiq/providers/amazon/cloud_manager/metrics_capture.rb | 32 +-
 spec/models/manageiq/providers/amazon/cloud_manager/metrics_capture_spec.rb | 26 +-
 spec/vcr_cassettes/manageiq/providers/amazon/cloud_manager/metrics_capture-win2016.yml | 936 +
 3 files changed, 977 insertions(+), 17 deletions(-)

Comment 4 Ravikanth 2019-05-13 08:04:06 UTC
Hi,

I have tried installing the hotfix provided for CFME Version:5.9.9.1 to fix the memory reporting issue but even after applying the same we are not able to see the memory metrics in dashboard

cfme-gemset-5.9.9.1-2.el7cf.x86_64.rpm.


Apart from this the customer is running version 5.9.4.7 and there is no option to upgrade since lot of customization has been done and looking for hotfix for specific cfme version 5.9.4.7.

Comment 5 Alexander Zagaynov 2019-05-13 08:21:46 UTC
Hi Ravikanth, did you setup CloudWatch agent on the target instances?

Comment 6 Ravikanth 2019-05-13 08:27:52 UTC
Created attachment 1567821 [details]
memory screenshot from AWS console

Comment 7 Ravikanth 2019-05-13 08:28:52 UTC
Created attachment 1567822 [details]
CFME screenshot

Comment 8 Ravikanth 2019-05-13 08:29:45 UTC
Hi Alexander,

Yes i did install CWagent in AWS and able to see metrics in AWS console. Attaching screenshots for reference.

Comment 9 Alexander Zagaynov 2019-05-13 14:33:23 UTC
1) Please set equal time frames on both screens to avoid confusing.
2) You looking at "MemoryUsed" counter, but we gather "MemoryUtilization" https://github.com/ManageIQ/manageiq-providers-amazon/blob/9d1567e0816e583493924a13b4419b109d23d3a9/app/models/manageiq/providers/amazon/cloud_manager/metrics_capture.rb#L24

Comment 10 Ravikanth 2019-05-14 04:35:02 UTC
1) Please set equal time frames on both screens to avoid confusing.

Still the counter shows 0 across timeframe since its enabled

2) You looking at "MemoryUsed" counter, but we gather "MemoryUtilization" https://github.com/ManageIQ/manageiq-providers-amazon/blob/9d1567e0816e583493924a13b4419b109d23d3a9/app/models/manageiq/providers/amazon/cloud_manager/metrics_capture.rb#L24

Both Memoryused and Utilizations counters are Zero bytes in CFME dashboard

Comment 11 Alexander Zagaynov 2019-05-14 09:17:38 UTC
I can't see that, please show me screenshots, or better find me in gchat to solve your issue faster.

Comment 12 Ravikanth 2019-05-15 01:35:42 UTC
Created attachment 1568739 [details]
Memory used cwagent for 05-14-19

Comment 13 Ravikanth 2019-05-15 01:36:16 UTC
Created attachment 1568740 [details]
Memory avlb cwagent for 05-14-19

Comment 14 Ravikanth 2019-05-15 01:36:57 UTC
Created attachment 1568741 [details]
Memory avlb 0 bytes for 05-14-19

Comment 15 Ravikanth 2019-05-15 01:38:11 UTC
Hi Alexander,

I have attached screenshots captured for full day on 05/14/19 for both CWagent in AWS console and CFME dashboard(it show 0 bytes)

Comment 16 Matouš Mojžíš 2019-05-22 18:17:36 UTC
Verified in 5.9.9.2 It collects memory metrics correctly. EBS disk metrics are not collected.

Comment 17 Ravikanth 2019-05-27 05:53:18 UTC
Hi,

I am not able to update the cfme to 5.9.9.2 since its not publicly available and i am only able to upgrade to 5.9.9.1 and confirm that metrics collection doesn't work even after applying the hotfix.

Can we have hotfix for cfme version 5.9.4 since that's the version the customer is running the cfme on and they will not be able to upgrade the cfme to 5.9.9.2 considering the amount of customizations done and need the metrics fixed for this 5.9.4 version only.

Comment 19 errata-xmlrpc 2019-05-29 12:41:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1289


Note You need to log in before you can comment on or make changes to this bug.